View Issue Details

IDProjectCategoryView StatusLast Update
0032743Open CASCADEOCCT:Codingpublic2022-10-19 15:56
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032743: Coding Rules - remove unused class friends of Package classes
DescriptionWOK generated main Package classes (like class BRepFill) having all other classes in the Package as friends.
This friendliness is redundant in most cases and could be removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2021-12-19 12:14

administrator   ~0106099

Branch CR32743 has been created by kgv.

SHA-1: b22c27b2e8d2aee4bc26b9a72d195264bb2c3ab2


Detailed log of new commits:

Author: kgv
Date: Sun Dec 19 11:29:36 2021 +0300

    0032743: Coding Rules - remove unused class friends of Package classes

kgv

2021-12-19 12:44

developer   ~0106102

Patch is ready for review
- OCCT: branch CR32743.

http://jenkins-test-occt/view/CR32743-master-KGV/view/OCCT%20compile/

aml

2021-12-19 19:51

developer   ~0106104

Reviewed.

For integration:
- OCCT: CR32743
- Products: none.

smoskvin

2021-12-25 12:50

administrator   ~0106189

Combination -
OCCT branch : IR-2021-12-24
master SHA - bcecb5832b2749a588c0877099e4909f2523f499
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-24 SHA - 684d33a93d81a396019446b148f5c89157667fbb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18175.950000000386 / 18206.72000000041 [-0.17%]
Products
Total CPU difference: 11591.210000000114 / 11647.080000000102 [-0.48%]
Windows-64-VC14:
OCCT
Total CPU difference: 19974.5625 / 20013.0 [-0.19%]
Products
Total CPU difference: 13088.09375 / 13094.75 [-0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-25 17:25

administrator   ~0106196

Branch CR32743 has been deleted by mnt.

SHA-1: b22c27b2e8d2aee4bc26b9a72d195264bb2c3ab2

Related Changesets

occt: master ce7fe22d

2021-12-19 11:29:36

kgv


Committer: smoskvin Details Diff
0032743: Coding Rules - remove unused class friends of Package classes Affected Issues
0032743
mod - src/AppParCurves/AppParCurves.hxx Diff File
mod - src/BinMDataStd/BinMDataStd.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd.hxx Diff File
mod - src/BinMDF/BinMDF.hxx Diff File
mod - src/BinMDocStd/BinMDocStd.cxx Diff File
mod - src/BinMDocStd/BinMDocStd.hxx Diff File
mod - src/BinMFunction/BinMFunction.cxx Diff File
mod - src/BinMFunction/BinMFunction.hxx Diff File
mod - src/BinMNaming/BinMNaming.cxx Diff File
mod - src/BinMNaming/BinMNaming.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc.hxx Diff File
mod - src/BinTools/BinTools.hxx Diff File
mod - src/Bisector/Bisector.hxx Diff File
mod - src/BlendFunc/BlendFunc.cxx Diff File
mod - src/BlendFunc/BlendFunc.hxx Diff File
mod - src/BndLib/BndLib.cxx Diff File
mod - src/BndLib/BndLib.hxx Diff File
mod - src/BOPTest/BOPTest.hxx Diff File
mod - src/BRepBuilderAPI/BRepBuilderAPI.cxx Diff File
mod - src/BRepBuilderAPI/BRepBuilderAPI.hxx Diff File
mod - src/BRepCheck/BRepCheck.cxx Diff File
mod - src/BRepCheck/BRepCheck.hxx Diff File
mod - src/BRepClass3d/BRepClass3d.cxx Diff File
mod - src/BRepClass3d/BRepClass3d.hxx Diff File
mod - src/BRepFeat/BRepFeat.cxx Diff File
mod - src/BRepFeat/BRepFeat.hxx Diff File
mod - src/BRepFill/BRepFill.cxx Diff File
mod - src/BRepFill/BRepFill.hxx Diff File
mod - src/BRepGProp/BRepGProp.hxx Diff File
mod - src/BRepLib/BRepLib.hxx Diff File
mod - src/BRepLProp/BRepLProp.cxx Diff File
mod - src/BRepLProp/BRepLProp.hxx Diff File
mod - src/BRepTools/BRepTools.cxx Diff File
mod - src/BRepTools/BRepTools.hxx Diff File
mod - src/ChFi2d/ChFi2d.hxx Diff File
mod - src/ChFi3d/ChFi3d.cxx Diff File
mod - src/ChFi3d/ChFi3d.hxx Diff File
mod - src/CSLib/CSLib.hxx Diff File
mod - src/DDataStd/DDataStd.hxx Diff File
mod - src/DDF/DDF.hxx Diff File
mod - src/DDocStd/DDocStd.cxx Diff File
mod - src/DDocStd/DDocStd.hxx Diff File
mod - src/DNaming/DNaming.cxx Diff File
mod - src/DNaming/DNaming.hxx Diff File
mod - src/Draft/Draft.cxx Diff File
mod - src/Draft/Draft.hxx Diff File
mod - src/DrawDim/DrawDim.cxx Diff File
mod - src/DrawDim/DrawDim.hxx Diff File
mod - src/Expr/Expr.hxx Diff File
mod - src/ExprIntrp/ExprIntrp.hxx Diff File
mod - src/GccEnt/GccEnt.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff File
mod - src/Geom2dConvert/Geom2dConvert.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc.hxx Diff File
mod - src/GeomAPI/GeomAPI.cxx Diff File
mod - src/GeomAPI/GeomAPI.hxx Diff File
mod - src/GeomConvert/GeomConvert.cxx Diff File
mod - src/GeomConvert/GeomConvert.hxx Diff File
mod - src/GeomConvert/GeomConvert_1.cxx Diff File
mod - src/GeomFill/GeomFill.cxx Diff File
mod - src/GeomFill/GeomFill.hxx Diff File
mod - src/GeomInt/GeomInt.hxx Diff File
mod - src/GeomLib/GeomLib.hxx Diff File
mod - src/GeomLProp/GeomLProp.cxx Diff File
mod - src/GeomLProp/GeomLProp.hxx Diff File
mod - src/GeomTools/GeomTools.cxx Diff File
mod - src/GeomTools/GeomTools.hxx Diff File
mod - src/GProp/GProp.cxx Diff File
mod - src/GProp/GProp.hxx Diff File
mod - src/HeaderSection/HeaderSection.hxx Diff File
mod - src/HLRBRep/HLRBRep.cxx Diff File
mod - src/HLRBRep/HLRBRep.hxx Diff File
mod - src/HLRTest/HLRTest.cxx Diff File
mod - src/HLRTest/HLRTest.hxx Diff File
mod - src/IFSelect/IFSelect.hxx Diff File
mod - src/IGESAppli/IGESAppli.hxx Diff File
mod - src/IGESBasic/IGESBasic.hxx Diff File
mod - src/IGESCAFControl/IGESCAFControl.hxx Diff File
mod - src/IGESConvGeom/IGESConvGeom.cxx Diff File
mod - src/IGESConvGeom/IGESConvGeom.hxx Diff File
mod - src/IGESData/IGESData.hxx Diff File
mod - src/IGESDefs/IGESDefs.cxx Diff File
mod - src/IGESDefs/IGESDefs.hxx Diff File
mod - src/IGESDimen/IGESDimen.cxx Diff File
mod - src/IGESDimen/IGESDimen.hxx Diff File
mod - src/IGESDraw/IGESDraw.cxx Diff File
mod - src/IGESDraw/IGESDraw.hxx Diff File
mod - src/IGESGeom/IGESGeom.cxx Diff File
mod - src/IGESGeom/IGESGeom.hxx Diff File
mod - src/IGESGraph/IGESGraph.cxx Diff File
mod - src/IGESGraph/IGESGraph.hxx Diff File
mod - src/IGESSelect/IGESSelect.cxx Diff File
mod - src/IGESSelect/IGESSelect.hxx Diff File
mod - src/IGESSolid/IGESSolid.cxx Diff File
mod - src/IGESSolid/IGESSolid.hxx Diff File
mod - src/IGESToBRep/IGESToBRep.cxx Diff File
mod - src/Intf/Intf.cxx Diff File
mod - src/Intf/Intf.hxx Diff File
mod - src/IntImpParGen/IntImpParGen.cxx Diff File
mod - src/IntImpParGen/IntImpParGen.hxx Diff File
mod - src/IntSurf/IntSurf.hxx Diff File
mod - src/Law/Law.cxx Diff File
mod - src/Law/Law.hxx Diff File
mod - src/LocalAnalysis/LocalAnalysis.hxx Diff File
mod - src/LocOpe/LocOpe.hxx Diff File
mod - src/math/math.hxx Diff File
mod - src/PLib/PLib.cxx Diff File
mod - src/PLib/PLib.hxx Diff File
mod - src/Poly/Poly.hxx Diff File
mod - src/QABugs/QABugs.hxx Diff File
mod - src/RWHeaderSection/RWHeaderSection.cxx Diff File
mod - src/RWHeaderSection/RWHeaderSection.hxx Diff File
mod - src/RWStepAP214/RWStepAP214.cxx Diff File
mod - src/RWStepAP214/RWStepAP214.hxx Diff File
mod - src/ShapeAlgo/ShapeAlgo.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis.cxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis.hxx Diff File
mod - src/ShapeBuild/ShapeBuild.cxx Diff File
mod - src/ShapeBuild/ShapeBuild.hxx Diff File
mod - src/ShapeCustom/ShapeCustom.hxx Diff File
mod - src/ShapeExtend/ShapeExtend.hxx Diff File
mod - src/ShapeFix/ShapeFix.hxx Diff File
mod - src/ShapeProcess/ShapeProcess.cxx Diff File
mod - src/ShapeProcess/ShapeProcess.hxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade.cxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade.hxx Diff File
mod - src/StepAP214/StepAP214.cxx Diff File
mod - src/StepAP214/StepAP214.hxx Diff File
mod - src/STEPConstruct/STEPConstruct.cxx Diff File
mod - src/STEPConstruct/STEPConstruct.hxx Diff File
mod - src/StepData/StepData.cxx Diff File
mod - src/StepData/StepData.hxx Diff File
mod - src/STEPEdit/STEPEdit.cxx Diff File
mod - src/STEPEdit/STEPEdit.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS.hxx Diff File
mod - src/Storage/Storage.cxx Diff File
mod - src/Storage/Storage.hxx Diff File
mod - src/SWDRAW/SWDRAW.cxx Diff File
mod - src/SWDRAW/SWDRAW.hxx Diff File
mod - src/TDataStd/TDataStd.hxx Diff File
mod - src/TDF/TDF.cxx Diff File
mod - src/TDF/TDF.hxx Diff File
mod - src/TDocStd/TDocStd.hxx Diff File
mod - src/TNaming/TNaming.cxx Diff File
mod - src/TNaming/TNaming.hxx Diff File
mod - src/TopExp/TopExp.hxx Diff File
mod - src/TopoDS/TopoDS.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep.cxx Diff File
mod - src/TopoDSToStep/TopoDSToStep.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep.hxx Diff File
mod - src/TopOpeBRepBuild/FILES Diff File
rm - src/TopOpeBRepBuild/TopOpeBRepBuild.cxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS.cxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool.hxx Diff File
mod - src/TopTools/TopTools.cxx Diff File
mod - src/TopTools/TopTools.hxx Diff File
mod - src/TransferBRep/TransferBRep.cxx Diff File
mod - src/TransferBRep/TransferBRep.hxx Diff File
mod - src/Units/Units.cxx Diff File
mod - src/Units/Units.hxx Diff File
mod - src/Vrml/Vrml.cxx Diff File
mod - src/Vrml/Vrml.hxx Diff File
mod - src/VrmlAPI/VrmlAPI.cxx Diff File
mod - src/VrmlAPI/VrmlAPI.hxx Diff File
mod - src/XCAFPrs/XCAFPrs.hxx Diff File
mod - src/XDEDRAW/XDEDRAW.cxx Diff File
mod - src/XDEDRAW/XDEDRAW.hxx Diff File
mod - src/XmlMDataStd/XmlMDataStd.cxx Diff File
mod - src/XmlMDataStd/XmlMDataStd.hxx Diff File
mod - src/XmlMDataXtd/XmlMDataXtd.cxx Diff File
mod - src/XmlMDataXtd/XmlMDataXtd.hxx Diff File
mod - src/XmlMDocStd/XmlMDocStd.cxx Diff File
mod - src/XmlMDocStd/XmlMDocStd.hxx Diff File
mod - src/XmlMFunction/XmlMFunction.cxx Diff File
mod - src/XmlMFunction/XmlMFunction.hxx Diff File
mod - src/XmlMNaming/XmlMNaming.cxx Diff File
mod - src/XmlMNaming/XmlMNaming.hxx Diff File
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.cxx Diff File
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.hxx Diff File
mod - src/XmlObjMgt/XmlObjMgt.cxx Diff File
mod - src/XmlObjMgt/XmlObjMgt.hxx Diff File
mod - src/XSAlgo/XSAlgo.cxx Diff File
mod - src/XSAlgo/XSAlgo.hxx Diff File
mod - src/XSControl/XSControl.cxx Diff File
mod - src/XSControl/XSControl.hxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.hxx Diff File

Issue History

Date Modified Username Field Change
2021-12-19 12:14 kgv New Issue
2021-12-19 12:14 kgv Assigned To => kgv
2021-12-19 12:14 git Note Added: 0106099
2021-12-19 12:15 kgv Relationship added child of 0032615
2021-12-19 12:44 kgv Assigned To kgv => aml
2021-12-19 12:44 kgv Status new => resolved
2021-12-19 12:44 kgv Note Added: 0106102
2021-12-19 19:51 aml Assigned To aml => bugmaster
2021-12-19 19:51 aml Note Added: 0106104
2021-12-19 19:58 aml Status resolved => reviewed
2021-12-25 12:50 smoskvin Status reviewed => tested
2021-12-25 12:50 smoskvin Note Added: 0106189
2021-12-25 12:52 smoskvin Test case number => Not required
2021-12-25 17:13 smoskvin Changeset attached => occt master ce7fe22d
2021-12-25 17:13 kgv Assigned To bugmaster => kgv
2021-12-25 17:13 kgv Status tested => verified
2021-12-25 17:13 kgv Resolution open => fixed
2021-12-25 17:25 git Note Added: 0106196
2022-10-19 15:56 smoskvin Assigned To kgv => vpozdyayev